cascading.tuple.hadoop.io

## Class ValueTupleDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.io.ValueTupleDeserializer

- All Implemented Interfaces:
    Deserializer<ValueTuple>

      public class ValueTupleDeserializer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected ValueTuple` | `createTuple()`
    `T` | `deserialize(T tuple)`
    `void` | `open(InputStream in)`
    `protected void` | `setReaders(Fields fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueTupleDeserializer

          public ValueTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

  - ### Method Detail

    - #### createTuple

          protected ValueTuple createTuple()

    - #### setReaders

          protected void setReaders(Fields fields)

    - #### open

          public void open(InputStream in)

      Specified by:
        `open` in interface `Deserializer<T extends Tuple>`

    - #### deserialize

          public T deserialize(T tuple)
                                      throws IOException

      Specified by:
        `deserialize` in interface `Deserializer<T extends Tuple>`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Deserializer<T extends Tuple>`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.